Bug 106395 - TUI can install printer. GUI cannot.
TUI can install printer. GUI cannot.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: redhat-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 14:16 EDT by Adam H. Pendleton
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:29:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from printconf-tui (1.74 KB, text/plain)
2003-10-06 14:34 EDT, Adam H. Pendleton
no flags Details

  None (edit)
Description Adam H. Pendleton 2003-10-06 14:16:09 EDT
Description of problem:

The redhat-config-printer GUI is unable to add a SMB printer queue in a
workgroup-only environment, but the TUI adds it fine.

Version-Release number of selected component (if applicable):

redhat-config-printer-0.6.76-1

How reproducible:

always.

Steps to Reproduce:
1. Attempt to add local printer, shared from Windows XP workstation through GUI
2. Add same printer through GUI.
3.
    
Actual results:

GUI fails.  TUI works.

Expected results:

Both are able to install printer.

Additional info:

Printer is a local printer, on a workstation, set to be a part of a generic
workgroup, with no domain controller, etc.  Windows can see and install the
printer just fine.  The TUI installs the printer fine.  The GUI prompts for
share information, but just presents the same dialog after hitting OK.
Comment 1 Tim Waugh 2003-10-06 14:27:55 EDT
Does printing to this queue work?

Please attach the output of 'printconf-tui --Xexport'.
Comment 2 Adam H. Pendleton 2003-10-06 14:33:22 EDT
<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1065463781">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <P1500 ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <lpoptions TYPE="LIST">
            <page-bottom TYPE="STRING" VALUE="86"/>
            <cpi TYPE="STRING" VALUE="12"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <page-right TYPE="STRING" VALUE="57"/>
            <page-left TYPE="STRING" VALUE="57"/>
            <wrap TYPE="STRING" VALUE="true"/>
            <page-top TYPE="STRING" VALUE="72"/>
            </lpoptions>
          <queue_type TYPE="STRING" VALUE="SMB"/>
          <queue_data TYPE="LIST">
            <smb_share TYPE="STRING" VALUE="P1500"/>
            <smb_ip TYPE="STRING" VALUE="xxx.xxx.xxx.xxx"/>
            <smb_workgroup TYPE="STRING" VALUE="WORKGROUP"/>
            <smb_user TYPE="STRING" VALUE="user"/>
            <smb_password TYPE="STRING" VALUE="xxxx"/>
            <smb_translate TYPE="BOOL" VALUE="FALSE"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="POSTSCRIPT"/>
            <page_size TYPE="STRING" VALUE="Letter"/>
            <flags TYPE="LIST">
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              </flags>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </P1500>
        </print_queues>
      </printconf>
    </datatree>
  </adm_context>
Comment 3 Adam H. Pendleton 2003-10-06 14:34:52 EDT
Created attachment 94953 [details]
Output from printconf-tui

Oops.  Meant to put it as an attachment, not inline.
Comment 4 Tim Waugh 2003-10-07 07:38:50 EDT
Does printing to this queue work?

What does this command say?:

smbclient //xxx.xxx.xxx.xxx/P1500 xxxx -U user -W WORKGROUP -c quit

And also what does this do (all on one line)?:

smbspool smb://user:xxxx@WORKGROUP/xxx.xxx.xxx.xxx/P1500 1 user title 1 ''
/etc/fstab
Comment 5 Adam H. Pendleton 2003-10-07 08:22:23 EDT
Both of the commands produce no output on the screen.  The second command causes
/etc/fstab to be printed from the SMB printer, albeit without passing through a
filter first.  To be a little bit more clear about the problem, when using the
GUI, after filling in the required information, and hitting okay, there is a
pause, and then the dialog re-appears, filled in as before.  When using the IP
address of the remote computer the pause is quick, when using the SMB share name
it is slight longer.  The TUI only asks for the IP address.
Comment 6 Tim Waugh 2003-10-07 11:26:19 EDT
When you try to add the queue from the graphical tool, can you described in more
detail what you see?  Does it show you the machine name, and the share name,
before prompting for more information?  When you are prompted for information,
what fields are already filled in (with what), and which do you need to fill in
(and how do you fill them in)?

Does printing to this queue work, once it has been added from the TUI?
Comment 7 Pavel 2003-10-07 12:10:09 EDT
I have the same problem. In gui, the tool is unable to automatically find my
printer. When I click "specify" button, fill in the dialog and press enter, the
same dialog pops up again. I fill all the fields: workgroup name, server name (I
tried IP too), etc.
In tui, I fill all the required data and printer setup proceeds. I can print to
the printer that I set up with tui.
Comment 8 Adam H. Pendleton 2003-10-07 12:13:57 EDT
When adding the queue from the GUI, I select Queue Type SMB, then click Specify.
 I fill in all the fields with the information in the attachment.  I then click
OK. The dialog dissapears, only to reappear with the exactly the same
information filled in (the same info I filled in, that is).  No matter what
information I put in that box, it always returns with the same information I
filled in.

Yes, I can print after adding the queue using the TUI.

If I had to guess I would say that the TUI is skipping a step that the GUI is
performing, namely the one that occurs when click OK in the GUI.  It appears to
be doing some sort of test to see if the share exists, etc.  The TUI doesn't
appear to do that.
Comment 9 Tim Waugh 2003-10-07 13:00:55 EDT
Okay, think 0.3.77-1 should fix this.
Comment 10 John Thacker 2006-10-29 17:49:07 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 11 John Thacker 2007-01-12 10:29:40 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.